Chromium Code Reviews
Help | Chromium Project | Sign in
(4)

Issue 138383003: Display MathML fallback content when it is specified and take into account inline/display modes for… (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 1 month ago by fred.wang
Modified:
11 months, 2 weeks ago
CC:
blink-reviews, dglazkov+blink, apavlov+blink_chromium.org, darktears
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Display MathML fallback content when it is specified and take into account inline/display modes for mathematical formulas. This is important for Web authors because Blink does not support MathML yet. R=ojan@chromium.org,eseidel@chromium.org,jchaffraix@chromium.org BUG=chromium:324764, chromium:152430 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=169439

Patch Set 1 #

Total comments: 4

Patch Set 2 : Update mathml.css to remove universal selectors and #

Patch Set 3 : unbitrot the patch #

Patch Set 4 : remove :nth-child(2) to try to fix assert on Linux #

Patch Set 5 : update comments in mathml.css #

Unified diffs Side-by-side diffs Delta from patch set Stats (+164 lines, -35 lines) Patch
A LayoutTests/mathml/fallback.html View 1 2 3 1 chunk +71 lines, -0 lines 0 comments Download
A LayoutTests/mathml/fallback-expected.html View 1 1 chunk +60 lines, -0 lines 0 comments Download
M Source/core/core_generated.gyp View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/css/CSSDefaultStyleSheets.h View 1 2 2 chunks +2 lines, -0 lines 0 comments Download
M Source/core/css/CSSDefaultStyleSheets.cpp View 1 2 4 chunks +13 lines, -0 lines 0 comments Download
A + Source/core/css/mathml.css View 1 2 3 4 2 chunks +17 lines, -35 lines 0 comments Download
Commit:

Messages

Total messages: 19 (0 generated)
fred.wang
1 year, 1 month ago (2014-01-15 10:40:07 UTC) #1
eseidel
I'm OK with the idea. I'm not sure if those are the right selectors to ...
1 year, 1 month ago (2014-01-15 19:29:15 UTC) #2
esprehn
not lgtm, you can't use + in a UA sheet and the other ones are ...
1 year, 1 month ago (2014-01-15 20:59:58 UTC) #3
fred.wang
So as said by Eric, this stylesheet will only be loaded if someone goes on ...
1 year ago (2014-02-01 10:07:37 UTC) #4
fred.wang
@esprehn Can you check this new version? This removes the universal selectors and the + ...
1 year ago (2014-02-06 17:37:14 UTC) #5
esprehn
lgtm, this seems fine.
11 months, 2 weeks ago (2014-03-18 02:30:55 UTC) #6
fred.wang
The CQ bit was checked by fred.wang@free.fr
11 months, 2 weeks ago (2014-03-18 07:09:04 UTC) #7
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/fred.wang@free.fr/138383003/200001
11 months, 2 weeks ago (2014-03-18 07:09:10 UTC) #8
I haz the power (commit-bot)
The CQ bit was unchecked by commit-bot@chromium.org
11 months, 2 weeks ago (2014-03-18 08:25:16 UTC) #9
I haz the power (commit-bot)
Try jobs failed on following builders: tryserver.blink on linux_blink_dbg
11 months, 2 weeks ago (2014-03-18 08:25:16 UTC) #10
fred.wang
On 2014/03/18 08:25:16, I haz the power (commit-bot) wrote: > Try jobs failed on following ...
11 months, 2 weeks ago (2014-03-18 08:51:20 UTC) #11
fred.wang
The CQ bit was checked by fred.wang@free.fr
11 months, 2 weeks ago (2014-03-18 09:01:30 UTC) #12
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/fred.wang@free.fr/138383003/220001
11 months, 2 weeks ago (2014-03-18 09:01:37 UTC) #13
fred.wang
The CQ bit was unchecked by fred.wang@free.fr
11 months, 2 weeks ago (2014-03-18 09:04:21 UTC) #14
fred.wang
The CQ bit was checked by fred.wang@free.fr
11 months, 2 weeks ago (2014-03-18 09:08:24 UTC) #15
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/fred.wang@free.fr/138383003/240001
11 months, 2 weeks ago (2014-03-18 09:08:28 UTC) #16
esprehn
On 2014/03/18 08:51:20, fred.wang wrote: > On 2014/03/18 08:25:16, I haz the power (commit-bot) wrote: ...
11 months, 2 weeks ago (2014-03-18 09:20:32 UTC) #17
fred.wang
On 2014/03/18 09:20:32, esprehn wrote: > Only the linux bot is actually running tests in ...
11 months, 2 weeks ago (2014-03-18 09:28:17 UTC) #18
I haz the power (commit-bot)
11 months, 2 weeks ago (2014-03-18 10:10:06 UTC) #19
Message was sent while issue was closed.
Change committed as 169439
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87e6a26